package example.hello.exception;

import example.common.exception.ApplicationException;

public class HelloException extends ApplicationException {

    private static final long serialVersionUID = 241751331185076317L;

    public HelloException() {
    }

    public HelloException(String message) {
        super(message);
    }

    public HelloException(Throwable cause) {
        super(cause);
    }

    public HelloException(String message, Throwable cause) {
        super(message, cause);
    }

    @Override
    public HelloException setRollbackOnly() {
        super.setRollbackOnly();
        return this;
    }

    @Override
    public HelloException setRollbackOnly(boolean rollbackOnly) {
        super.setRollbackOnly(rollbackOnly);
        return this;
    }

}
